Update Shopping List

update a shopping list detail. you can also update shopping list items by update the items field by this API endpoints. note: 1. User id for update the shopping list is not required. You can optionally enter this field according to whether you need to judge user permissions. 2. The ID field in shopping list items is an optional field. If it is null, you can only change the quantity of this item by product ID, variant ID and option list, these three fields will determine an actual item. If it is not null, the ID field will determine an actual item and you can change product ID, variant ID, and option list by this way. 3. Set a zero quantity of shopping list item will delete this item. 4. Quantity = 0 will remove item, you can modify multiple items at one time.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

shoppingListIdstringRequired

Request

namestringOptional
name for shopping list
descriptionstringOptional
description information for shopping list
statusenumOptional

status of shopping list, (0: approved, 20: deleted, 30: draft, 40: ready for approval)

Allowed values:
userIdintegerOptional
B2B Edition buyer user ID, you can enter a user ID to check if this user can update this shopping list.
customerIdintegerOptional
BigCommerce customer ID, passing this parameter will obtain the shopping list according to the b2c user.
itemslist of objectsOptional

Response

OK
codeinteger
Response code of success request.
metaobject
dataobject

Errors

404
Not Found Error
422
Unprocessable Entity Error